html,
body {
  height: 100%;
  font-family: 微软雅黑;
}
body{margin: 0px;padding: 0px;height:100%;}
*{font-size: 100%;}
/**首页**/
.container{
	height:100%;
}
.bold{font-weight:bold}
.ws-index-nav{
	margin:0 auto;
	text-align:center;
	width:auto;
	display:inline-block;
	border-radius: 20px;
	border: 1px solid #FBDBB3;
	background-color: #CC0000;
	padding:8px 10px;;
}

.ws-index-nav a{
    color:#FBDBB3;
	font-size:18px;
	padding:0 20px;
}
.ws-index-nav span{
    color:#FBDBB3;
	font-size:16px;
}
.ws-index-time{
	margin-top:5px;
	color:#FBDBB3;
	font-size:16px;
	text-align:center;
}

.ws-index-start{
   text-align:center;
   margin-top:-5px;
}
.ws-index-start a img{width:230px;}


/***活动须知****/
.scroll-row{
    height:450px;
	overflow: auto; /* 启用滚动 */

}
.guide-body{
	background-image:url(../images/rule.jpg?v=1);
    background-repeat: no-repeat;
   background-position: center;
   background-attachment: fixed;
   -webkit-background-size: cover;
   -moz-background-size: cover;
   -o-background-size: cover;
   background-size: cover;
   background-size:100% 100%;
   height:100%;
}
.guide-container{
   padding-top: 126px;
   text-align:center;
}
.guide-tab-header{
   margin-top:50px; 
}
.guide-tab-header .layui-btn{font-size:16px;margin-right:0;font-weight:700;border-left: border-left: 2px solid #FEDCBA;}
.guide-tab-header .layui-btn.layui-this{background-color: #FEDCBA; color: #D00213;}
.guide-tab-body>div{display: none;}
.guide-tab-body{
  padding:10px 30px;
  color:#fff;
  text-align:left;
}
.guide-tab-body p{margin:6px 0;line-height:22px;}
.guide-tab-header .layui-btn-primary{
   border:0;
   color:#fff;
}
.guide-tab-body .unit li{
   line-height:21px;
}

.guide-container .guide-info{
	font-size:14px;
	text-indent: 2em;
}
.layui-label{
   color:#FFEBC4;
   border-radius: 20px;
   background-color: #CD3A32;
   display: inline-block;
   padding:8px 18px;
   font-weight:bold;
}
.text-left{
	text-align:left;
}
.line {
	margin:0 10px;
	border-right: 2px solid #FEDCBA;
	display: inline-block;
	height: 25px;
	margin-bottom: -5px;
}
.layui-btn-exam{
	background-color:#FFDDBA;
	color:#CF0012;
	font-weight: bold;
	font-size:18px;
	padding: 0 28px;
}
.layui-footer{
	position:fixed;right:0;bottom:0;width:100%;
	text-align:center;
	transform: translateZ(0);
	-webkit-transform: translateZ(0);
}

/**排行***/
.ranking-header a:hover{color:#fff;}
.goBackBtn{

	border-radius: 50%; /*将边角变为半径相等的圆形*/
	background-color: #A1111A; /*设置背景颜色*/
	width:45px;
	height:45px;
	line-height:45px;
	color:#fff;
	font-size:24px;
	position: absolute;
	top: 12px;
	left: 10px;
}
.ranking-container{text-align:center;}
.ranking-container .ranking-header{
	/**background-color:#D23931;**/
	background:url(../images/ranking_head_bg.jpg);
	background-repeat:no-repeat;
	background-position:center;
	background-size:100% 100%;
padding:20px 10px 40px 10px;}
.ranking-container .ranking-header fieldset{color:#FDE1BF}
.ranking-container .ranking-header .integral{display:none;color:#fff;padding:0 0 0 0;font-size:16px;}
.ranking-container .ranking-header .integral span{color:#FFB446}
.ranking-container .guide-tab-body div{text-align:center;}
.ranking-container .ranking-desc{
	margin:0 auto;
	background-color:#BE0000;
	border: 3px solid #FBD5B0;
	border-radius: 30px;
	width:120px;
	font-size:20px;
	text-align:center;
  
    padding: 8px 18px;
    font-weight: bold;
	margin-top:-30px;
}
.ranking-container .guide-tab-body .medal{
   width:30px;
}

.ranking-container .layui-table{
	border-collapse: collapse; /*合并单元格边框*/
}
.ranking-container  .layui-table{
    border-width: 0;
}
.ranking-header img{width:35px;margin:0 5px;}

/***信息录入****/
.user-container2{

	background:url(../images/user_bg.jpg?v=2);
	background-size: cover; /* 或者使用 100vw 100vh */
    background-position: center;
    background-repeat: no-repeat;
    height: 100vh; /* 确保body高度至少为视口高度 */
	height: calc(var(--vh, 1vh) * 100); /* 回退到1vh以防变量未设置 */
	
}
.user-container .form-wrap{padding:20px 10px 0 10px;}
.user-container .layui-form-label{font-size:14px;font-weight: bold;width:135px;text-align:left;}
.user-container .layui-form-label span{font-size:12px;}
.user-container .layui-form-label img{width:28px; margin-right:5px;}
.user-container .layui-input-block{margin-left:165px;}
.user-container .layui-btn{padding:0 60px;}
.layui-bg-red2{background-color: #CD3A32}

/**答题**/
.exam-body{
    background:url(../images/exam_bg.jpg?v=3);
	background-repeat: no-repeat;
	background-position: center;
	background-attachment: fixed;
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
	background-size:100% 100%;
	height:100%;
}
.exam-container{
	padding:130px 20px 20px 20px;
}
.exam-container .exam-time{
   float:left;
   margin-left:10px;
}
.exam-container .layui-card{
	min-height:400px;
   border-radius:8px;
}
.exam-container .layui-card-header{line-height:36px;}

.exam-container .layui-card .qIcon{
   float:left;
}
.exam-container .layui-card .qIcon img{
  width:30px;
  margin-top:-12px;
}
.exam-container .layui-card .qType{
   float:left;
   margin-left:3px;
   font-size:14px;
   font-weight:bold;
}
.exam-container .layui-card .qNum{
   float:right;
   font-weight:bold;
   font-size:14px;
}
.exam-container .question-title{
	font-size:14px;
	font-family: SimHei, "黑体";
   font-weight:600;
}
.exam-container .question-options{
   margin-top:15px;
   padding:15px 10px 10px 10px;
   border-top: 1px solid #DCDCDC;
}
.exam-container .exam-case-noselect{
	border: 2px solid #555555;
	padding:5px 10px;
	margin-bottom:15px;
	border-radius: 0.4rem;
	font-family: SimHei, "黑体";
	font-size:14px;
	align-items: center;
}

.exam-container .question-options .exam-case-noselect img{width:25px;float:right;}
.exam-container .selected{
	border: 2px solid #2CB184;
	background-color:#E8F7F2;
}
.exam-container .correct{
    border: 2px solid #2CB184;
	background-color:#E8F7F2;
}
.exam-container .wrong{
    border: 2px solid #E74145;
	background-color:#fff;
}
.exam-container .question-btn{
	margin:15px  0;
    text-align:center;
}
.exam-container .question-btn .layui-btn{
      background-color: #BE0000;
	  padding:0  38px;
}


/*抽奖*/
.rotate-container{
   
}

/***弹窗box***/
.hide2 {
    display: none;
}
.resuleBox .resule-bgLight {
    top: .5rem;
    width: 6.75rem;
    height: 6.75rem;
    background-image: url(../img/lightNew.png);
    background-repeat: no-repeat;
    background-size: 100% 100%;
    position: absolute;
    border-radius: 50%;
    left: 0;
    right: 0;
    animation: bgRotate 6s linear infinite;
    -webkit-animation: bgRotate 6s linear infinite;

}

.resuleBox #resule-status-box .resule-bgLight {
	z-index:1
}


.resuleBox *{
	line-height: 1rem;
    text-align: center;
}
.resuleBox {
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background-color: rgba(0,0,0,.85);
    color: #fff;
    z-index: 999;
}
.resuleBox .resule-status-box{
	height: 100%;
    overflow-x: hidden;
}
.resuleBox #resule-status-scrollWrap {
    height: 100%;
    width: 100%;
    overflow-y: auto;
    overflow-x: hidden;
    -webkit-overflow-scrolling: touch;
    position: relative;
    padding-top: 1.1rem;
    background-color: rgba(0,0,0,.01);
}
#resule-gift-scrollWrap *, #resule-status-box * {
    margin-left: auto;
    margin-right: auto;
}


.resuleBox #resule-status-head {
	width:10rem;
	height:12.5rem;
	position:relative;
	margin-bottom:-1.75rem
}
.resuleBox .resule-status-userImg {
	position:absolute;
	left:0;
	bottom:0;
	right:0;
	z-index:999;
	width:6rem;
	height:6.5rem;
	background:url(../img/success-cup.png) no-repeat;
	background-size:100% 100%
}
.resuleBox .resule-status-userImg.failCup {
	background:url(../img/fail-cup.png) no-repeat;
	background-size:100% 100%
}
.resuleBox .resule-status-userImg img {
	width:1.75rem;
	height:1.75rem;
	border-radius:50%;
	position:absolute;
	left:0;
	right:0;
	top:22%
}

.resuleBox .resule-status-ribbon {
	width:10rem;
	height:7.5rem;
	background-image:url(../img/successNew.png);
	background-size:100% 100%;
	position:absolute;
	bottom:0;
	z-index:10000
}
.resuleBox .resule-status-faiRibbon {
	width:10rem;
	height:7.5rem;
	background-image:url(../img/failNew.png);
	background-size:100% 100%;
	position:absolute;
	bottom:0;
	z-index:10000
}
.resuleBox .resule-status-faiRegRibbon {
	width:10rem;
	height:7.5rem;
	background-image:url(../img/failNew.png);
	background-size:100% 100%;
	position:absolute;
	bottom:0;
	z-index:10000
}


.resuleBox #resule-status-body {
	width: 18.25rem;
	background:rgba(255,255,255,1);
	border-radius:.75rem;
	padding-top:2.15rem;
	padding-bottom:4.9rem;
	color:#666;
	font-size:.7rem
}
.resuleBox #resule-status-body .youraward{
	 margin-bottom: .4rem;
}
.resuleBox #resule-status-body .youraward.yourScore.youraward-fail {
    color: #000;
}
.resuleBox #resule-status-body .youraward.yourScore {
    font-size: 1.3rem;
    color: #f33061;
    margin-bottom: .4rem;
	font-weight:bold;
}
.resuleBox #resule-status-body .result-scoreUnit {
    margin-left: .2rem;
}
.resuleBox #resule-status-body .youraward.costTime, .youraward.costTime * {
    font-size: .6rem;
}

.resule-foot-box {
    padding-top: .3rem;
    margin: 0 auto;
    width: 10rem;
}
.resule-foot-box .resule-foot-one>div {
    width: 10rem;
    height: 2.3rem;
    line-height: 2.25rem;
    color: rgba(254,238,163,1);
    font-size: 1.08rem;
    /**background: -webkit-gradient(linear,left bottom,left top,from(rgba(229,37,88,1)),to(rgba(248,72,119,1)));**/
    background-color: #BE0000;
    border-radius: .875rem;
}
.resule-foot-box .resule-foot-one>a:hover{text-decoration:none}
.resule-foot-box .resule-foot-one .resule-status-gift::after {
    display: inline-block;
    content: '';
    width: .525rem;
    height: .475rem;
    margin-left: .25rem;
    background-image: url(../img/jt-right.png);
    background-size: contain;
    background-repeat: no-repeat;
}
.resuleBox #resule-status-body .comm-status {
    color: #666;
    font-size: .6rem;
    margin-top: .1rem;
    margin-bottom: .7rem;
}
.display_flex {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}
.resuleBox #resule-status-body .resultArg-wrap {
    overflow: hidden;
    width: 10rem;
	margin-bottom:1.2rem;
    border: 1px solid #ccc;
    border-left-color: transparent;
    border-right-color: transparent;
}
.resuleBox #resule-status-body .resultArg-wrap p {
    border-right-style: solid;
    border-right-color: rgba(204,204,204,1);
    border-right-width: 1px;
}
.resuleBox #resule-status-body .resultArg-wrap p {
    margin: .4rem 0;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    color: rgba(243,48,96,1);
    font-size: .45rem;
}
.resuleBox #resule-status-body .resultArg-wrap p:last-child {
    border: none;
}
.resule-back {
	position: relative;
	margin-top:60px;
}
.resule-back a{
	background-color:#BE0000;
	color:#fff;font-weight:600;
	padding:5px 30px; 
	border-radius:20px;
	font-size:15px;
}